// stylelint-disable property-disallowed-list, declaration-no-important
.navbar {
    .navbar-brand {
        background-color: $primary;
    }

    .logo-unige {
        background-image: url([[pix:theme|unige-logo]]);
        background-repeat: no-repeat;
        background-size: 8rem;
        background-position: center;
        width: 10rem;
        height: 100%;
    }
}

.navbar-dark {
    color: mix($white, $body-color, 65%);

    .login a.login-link {
        display: flex;
        align-items: center;
        height: 100%;
        border-radius: 0;
        color: mix($white, $link-color, 60%);

        @include hover() {
            color: mix($white, $link-hover-color, 60%);
        }

        &.focus,
        &:focus {
            color: inherit;
        }
    }

    .text-primary {
        color: mix($white, $primary, 60%) !important;
    }

    a .icon {
        color: inherit !important;
    }

    &.navbar.fixed-top {
        border-bottom: none;

        .divider {
            background-color: $gray-600;
            border-left-color: $gray-600 !important;
        }
    }

    .primary-navigation {
        .navigation .nav-link {
            color: $navbar-dark-color;

            @include hover-focus() {
                color: $navbar-dark-hover-color;
            }

            &.disabled {
                color: $navbar-dark-disabled-color;
            }
        }

        .show > .nav-link,
        .active > .nav-link,
        .nav-link.show,
        .nav-link.active {
            color: $navbar-dark-active-color;
        }

        .dropdown-menu {
            margin-top: 0;
            border-top: none;
            border-top-left-radius: 0;
            border-top-right-radius: 0;
        }
    }

    .simplesearchform {
        .collapse.show,
        .collapsing {
            background-color: $navbar-dark-dropdown-bg;
        }

        .btn.btn-submit {
            background-color: $primary;
            color: $white;
        }

        .btn-close .icon {
            color: $input-color !important;
        }
    }

    #usernavigation {
        .dropdown-menu {
            margin-top: 0;
            border-top: none;
            border-top-left-radius: 0;
            border-top-right-radius: 0;
        }
    }

    .moremenu {
        .nav-link {
            @include hover-focus() {
                background-color: lighten($dark, 5%);
            }
            &.active {
                @include hover-focus() {
                    background-color: lighten($dark, 5%);
                }
            }
        }

        .dropdownmoremenu > .dropdown-menu .dropdown-menu .dropdown-item {
            background-color: $navbar-dark-dropdown-bg;
        }
    }

    .dropdown-menu {
        color: $navbar-dark-color;
        background-color: $navbar-dark-dropdown-bg;
    }

    .dropdown-item {
        color: $navbar-dark-color;
        @include hover-focus() {
            color: $navbar-dark-hover-color;
        }
        &.active {
            @include hover-focus() {
                color: $navbar-dark-hover-color;
            }
        }
    }

    .usermenu .dropdown-menu .submenu .header {
        .icon {
            filter: invert(1);
        }

        .btn.btn-icon {
            &:hover,
            &:focus {
                background-color: $gray-500;
            }
        }
    }

    #user-menu-toggle {
        color: $navbar-dark-color;
    }
    .btn {
        color: $navbar-dark-color;
    }

    .input-group {
        color: $navbar-dark-color;
    }

    .userinitials {
        background-color: mix($black, $primary, 50%);
        color: $navbar-dark-color;
    }

    [data-flexitour="step-backdrop"] {
        #user-menu-toggle,
        label {
            color: $body-color;
        }
    }
}

// Temporary fix for the user menu in RTL
// until moodle make to switch to Bootstrap 5...
[dir="rtl"] {
    #usernavigation {
        margin-right: auto !important;
        margin-left: $spacer !important;
    }
}
